WordPress.org

Support

Support » Installation » 2.8 upgrade issue with “Premature end of script headers: php5”

2.8 upgrade issue with “Premature end of script headers: php5”

  • One of my test sites upgraded perfectly to 2.8, but one – a nearly identical installation, failed the database upgrade, returning a 500 Internal Server Error. Checking my error logs, I found “Premature end of script headers: php5”.

    I’m hosted on Media Temple. Anyone else having a similar issue? Is there a general reason / solution for this error?

Viewing 8 replies - 1 through 8 (of 8 total)
  • delete the .htaccess in wordpress root
    should bring site back up
    reset permalinks
    admin – settings – permalinks

    This solution worked for me, thank you… a lot of people are having this problem.

    this didn’t work for me 🙁
    this is the log from the server – any ideas?
    ________

    [Thu Jun 11 20:50:18 2009] [warn] [client 80.182.65.60] Timeout waiting for output from CGI script /web/htdocs/www.raffaz.net/home/grigioneutro/wp-admin/update-core.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:50:18 2009] [error] [client 80.182.65.60] (70007)The timeout specified has expired: ap_content_length_filter: apr_bucket_read() failed, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:50:51 2009] [error] [client 80.182.65.60] suexec policy violation: see suexec log for more details, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php?action=do-core-upgrade
    [Thu Jun 11 20:50:51 2009] [error] [client 80.182.65.60] Premature end of script headers: index.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php?action=do-core-upgrade
    [Thu Jun 11 20:51:03 2009] [error] [client 80.182.65.60] suexec policy violation: see suexec log for more details, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:51:03 2009] [error] [client 80.182.65.60] Premature end of script headers: update-core.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:51:38 2009] [error] [client 80.182.65.60] suexec policy violation: see suexec log for more details, referer: http://www.raffaz.net/grigioneutro/wp-admin/post.php?action=edit&post=354&message=7
    [Thu Jun 11 20:51:38 2009] [error] [client 80.182.65.60] Premature end of script headers: index.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/post.php?action=edit&post=354&message=7

    *sorry, double post*
    didn’t work for me, i get a 500 error.
    this is the server log:
    ———-

    [Thu Jun 11 20:50:18 2009] [warn] [client 80.182.65.60] Timeout waiting for output from CGI script /web/htdocs/www.raffaz.net/home/grigioneutro/wp-admin/update-core.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:50:18 2009] [error] [client 80.182.65.60] (70007)The timeout specified has expired: ap_content_length_filter: apr_bucket_read() failed, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:50:51 2009] [error] [client 80.182.65.60] suexec policy violation: see suexec log for more details, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php?action=do-core-upgrade
    [Thu Jun 11 20:50:51 2009] [error] [client 80.182.65.60] Premature end of script headers: index.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php?action=do-core-upgrade
    [Thu Jun 11 20:51:03 2009] [error] [client 80.182.65.60] suexec policy violation: see suexec log for more details, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:51:03 2009] [error] [client 80.182.65.60] Premature end of script headers: update-core.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/update-core.php
    [Thu Jun 11 20:51:38 2009] [error] [client 80.182.65.60] suexec policy violation: see suexec log for more details, referer: http://www.raffaz.net/grigioneutro/wp-admin/post.php?action=edit&post=354&message=7
    [Thu Jun 11 20:51:38 2009] [error] [client 80.182.65.60] Premature end of script headers: index.php, referer: http://www.raffaz.net/grigioneutro/wp-admin/post.php?action=edit&post=354&message=7

    I don’t see an .htaccess in my root folder. Is it hidden?

    yes it is hidden, you should set your FTP app to show invisible files.

    Yes it could be hidden depending on what you using to look at it. See if there’s an option to show hidden files.

    Uhm… after deleting the .htaccess I lost the whole site so I copied and renamed htaccess.dist to .htaccess and that brought the site back.

    I also had to change BASE/ to /

    I am not sure if that fixed it or I also cleared my cache at the same time.

    Going to test a little more.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘2.8 upgrade issue with “Premature end of script headers: php5”’ is closed to new replies.